jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.seo-expert-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'seo_expert_dismiss_notice'
        });
    });
});